## python-yaql 1.0.1

=== requirements.txt ===
pbr>=0.11,<2.0
Babel>=1.3

ply<=3.6
six>=1.9.0

## python-yaql 0.2.3

=== debian/changelog ===
python-yaql (0.2.3-2) unstable; urgency=medium

  * Also build-depends on python3-ply. This avoids FTBFS, because the package
    was trying to download it from PyPi at build time, when running the unit
    tests. Thanks to Daniel Schepler <dschepler@gmail.com> for the bug report,
    and to Jonathan Wiltshire <jmw@debian.org> for the patch (Closes: #764987).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Oct 2014 17:01:29 +0800

python-yaql (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #762792)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 16:01:57 +0800

=== debian/control ===
Source: python-yaql
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-ply, python3-ply
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-yaql.git
Vcs-Git: git://anonscm.debian.org/openstack/python-yaql.git
Homepage: http://mirantis.com

Package: python-yaql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: Yet Another Query Language - Python 2.x
 At the beginning of millennium the growing trend towards data formats
 standardization and application integrability made XML extremely popular. XML
 became lingua franca of the data. Applications tended to process lots of XML
 files ranging from small config files to very large datasets. As these data
 often had a complex structure with many levels of nestedness it is quickly
 became obvious that there is a need for specially crafted domain specific
 languages to query these data sets. This is how XPath and later XQL were born.
 .
 With later popularization of REST services and Web 2.0 JSON started to take
 XML’s place. JSON’s main advantage (besides being simpler than XML) is that is
 closely reassembles data structures found in most programming languages
 (arrays, dictionaries, scalars) making it very convenient for data
 serialization. As JSON lacked all the brilliant XML-related technologies like
 XSLT, XML Schema, XPath etc. various attempts to develop similar languages for
 JSON were made. One of those efforts was JSONPath library developed in 2007 by
 Stefan Gössner. Initial implementation was for PHP and JavaScript languages,
 but later on ports to other languages including Python were written. YAQL is
 one of the implementations in Python.
 .
 This package contains the Python 2.x module.

Package: python3-yaql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: Yet Another Query Language - Python 3.x
 At the beginning of millennium the growing trend towards data formats
 standardization and application integrability made XML extremely popular. XML
 became lingua franca of the data. Applications tended to process lots of XML
 files ranging from small config files to very large datasets. As these data
 often had a complex structure with many levels of nestedness it is quickly
 became obvious that there is a need for specially crafted domain specific
 languages to query these data sets. This is how XPath and later XQL were born.
 .
 With later popularization of REST services and Web 2.0 JSON started to take
 XML’s place. JSON’s main advantage (besides being simpler than XML) is that is
 closely reassembles data structures found in most programming languages
 (arrays, dictionaries, scalars) making it very convenient for data
 serialization. As JSON lacked all the brilliant XML-related technologies like
 XSLT, XML Schema, XPath etc. various attempts to develop similar languages for
 JSON were made. One of those efforts was JSONPath library developed in 2007 by
 Stefan Gössner. Initial implementation was for PHP and JavaScript languages,
 but later on ports to other languages including Python were written. YAQL is
 one of the implementations in Python.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/ativelkov/yaql.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-yaql; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-yaql; \
	done
	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/examples
	mv $(CURDIR)/debian/python-yaql/usr/bin/yaql $(CURDIR)/debian/python-yaql/usr/bin/python2-yaql
	mv $(CURDIR)/debian/python3-yaql/usr/bin/yaql $(CURDIR)/debian/python3-yaql/usr/bin/python3-yaql

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/y/yaql yaql-(.*).tar.gz

## python-yaql 1.0.1

=== debian/changelog ===
python-yaql (1.0.1-1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Oct 2015 15:22:01 +0000

python-yaql (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 11:44:22 +0000

python-yaql (0.2.7-1) experimental; urgency=medium

  [ gustavo panizzo ]
  * New upstream release.

  [ Thomas Goirand ]
  * Packaging from debian/experimental.
  * Fixed watch file to not use pypi, but the github tag.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:22:05 +0000

python-yaql (0.2.6-3) unstable; urgency=medium

  * Re-added scripts to remove alternatives, since an upgrade and then a purge
    may need such thing (Closes: #788158).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 18:30:21 +0200

python-yaql (0.2.6-2) unstable; urgency=medium

  * (temporarily) removed Python 3 support from the package, as per discussion
    with upstream, and until Murano is capable of using Yaql 1.0.x,

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 May 2015 08:58:19 +0000

python-yaql (0.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Running unit tests using testr directly.
  * Re-did Python3 fixups patch. This time it needed even more fixes.
  * Removed all traces of /usr/bin/yaql binary, gone upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:40:42 +0000

=== debian/control ===
Source: python-yaql
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-six (>= 1.9.0),
                     python-ply,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
#                     python3-babel,
#                     python3-fixtures (>= 1.3.1),
#                     python3-ply,
#                     python3-six (>= 1.9.0),
#                     python3-testscenarios,
#                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-yaql.git
Vcs-Git: git://anonscm.debian.org/openstack/python-yaql.git
Homepage: https://github.com/stackforge/yaql

Package: python-yaql
Architecture: all
Depends: python-babel,
         python-pbr (>= 1.6),
         python-ply,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Yet Another Query Language - Python 2.7
 At the beginning of millennium the growing trend towards data formats
 standardization and application integrability made XML extremely popular. XML
 became lingua franca of the data. Applications tended to process lots of XML
 files ranging from small config files to very large datasets. As these data
 often had a complex structure with many levels of nestedness it is quickly
 became obvious that there is a need for specially crafted domain specific
 languages to query these data sets. This is how XPath and later XQL were born.
 .
 With later popularization of REST services and Web 2.0 JSON started to take
 XML’s place. JSON’s main advantage (besides being simpler than XML) is that is
 closely reassembles data structures found in most programming languages
 (arrays, dictionaries, scalars) making it very convenient for data
 serialization. As JSON lacked all the brilliant XML-related technologies like
 XSLT, XML Schema, XPath etc. various attempts to develop similar languages for
 JSON were made. One of those efforts was JSONPath library developed in 2007 by
 Stefan Gössner. Initial implementation was for PHP and JavaScript languages,
 but later on ports to other languages including Python were written. YAQL is
 one of the implementations in Python.
 .
 This package contains the Python 2.7 module.

#Package: python3-yaql
#Architecture: all
#Depends: python3-babel,
#         python3-pbr (>= 1.6),
#         python3-ply,
#         python3-six (>= 1.9.0),
#         ${misc:Depends},
#         ${python3:Depends},
#Description: Yet Another Query Language - Python 3.x
# At the beginning of millennium the growing trend towards data formats
# standardization and application integrability made XML extremely popular. XML
# became lingua franca of the data. Applications tended to process lots of XML
# files ranging from small config files to very large datasets. As these data
# often had a complex structure with many levels of nestedness it is quickly
# became obvious that there is a need for specially crafted domain specific
# languages to query these data sets. This is how XPath and later XQL were born.
# .
# With later popularization of REST services and Web 2.0 JSON started to take
# XML’s place. JSON’s main advantage (besides being simpler than XML) is that is
# closely reassembles data structures found in most programming languages
# (arrays, dictionaries, scalars) making it very convenient for data
# serialization. As JSON lacked all the brilliant XML-related technologies like
# XSLT, XML Schema, XPath etc. various attempts to develop similar languages for
# JSON were made. One of those efforts was JSONPath library developed in 2007 by
# Stefan Gössner. Initial implementation was for PHP and JavaScript languages,
# but later on ports to other languages including Python were written. YAQL is
# one of the implementations in Python.
# .
# This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/yaql.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2
#,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-yaql; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-yaql; \
#	done
	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/examples
#	mv $(CURDIR)/debian/python-yaql/usr/bin/yaql $(CURDIR)/debian/python-yaql/usr/bin/python2-yaql
#	mv $(CURDIR)/debian/python3-yaql/usr/bin/yaql $(CURDIR)/debian/python3-yaql/usr/bin/python3-yaql

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-yaql 1.1.0

=== requirements.txt ===
pbr>=0.11,<2.0
Babel>=1.3
python-dateutil>=2.4.2
ply
six>=1.9.0

=== debian/changelog ===
python-yaql (1.1.0-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream and update uploaders.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed doc patches.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Feb 2016 11:19:41 -0500

python-yaql (1.0.1-7) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:59:20 +0000

python-yaql (1.0.1-6) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:31:26 +0000

python-yaql (1.0.1-5) experimental; urgency=medium

  * Fixed non-ascii chars in README.rst causing FTBFS in Jessie by adding
    upstream patch: Documentation_structure_update.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Sep 2015 13:34:46 +0200

python-yaql (1.0.1-4) experimental; urgency=medium

  * Fixed long description (Close: #792694).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 11:40:31 +0000

python-yaql (1.0.1-3) experimental; urgency=medium

  * Added missing --with python3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Sep 2015 20:10:55 +0000

python-yaql (1.0.1-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 12:05:53 +0000

=== debian/control ===
Source: python-yaql
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-six (>= 1.9.0),
                     python-ply,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-dateutil (>= 2.4.2),
                     python3-fixtures (>= 1.3.1),
                     python3-ply,
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-yaql.git
Vcs-Git: git://anonscm.debian.org/openstack/python-yaql.git
Homepage: https://github.com/stackforge/yaql

Package: python-yaql
Architecture: all
Depends: python-babel,
         python-dateutil (>= 2.4.2),
         python-pbr (>= 1.6),
         python-ply,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Yet Another Query Language - Python 2.7
 YAQL is a general purpose query language, that is designed to operate on
 objects of arbitrary complexity. YAQL has a large standard library of
 functions for filtering, grouping and aggregation of data. At the same time
 YAQL allows you to extend it by defining your own functions.
 .
 This package contains the Python 2.7 module.

Package: python3-yaql
Architecture: all
Depends: python3-babel,
         python3-dateutil (>= 2.4.2),
         python3-pbr (>= 1.6),
         python3-ply,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Yet Another Query Language - Python 3.x
 YAQL is a general purpose query language, that is designed to operate on
 objects of arbitrary complexity. YAQL has a large standard library of
 functions for filtering, grouping and aggregation of data. At the same time
 YAQL allows you to extend it by defining your own functions.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,31 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT = git://github.com/stackforge/yaql.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2
-#,python3
+	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-yaql; \
 	done
-#	set -e && for pyvers in $(PYTHON3S); do \
-#		python$$pyvers setup.py install --install-layout=deb \
-#			--root $(CURDIR)/debian/python3-yaql; \
-#	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-yaql; \
+	done
 	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*-yaql/usr/lib/python*/dist-packages/examples
-#	mv $(CURDIR)/debian/python-yaql/usr/bin/yaql $(CURDIR)/debian/python-yaql/usr/bin/python2-yaql
-#	mv $(CURDIR)/debian/python3-yaql/usr/bin/yaql $(CURDIR)/debian/python3-yaql/usr/bin/python3-yaql
+	mv $(CURDIR)/debian/python-yaql/usr/bin/yaql $(CURDIR)/debian/python-yaql/usr/bin/python2-yaql
+	mv $(CURDIR)/debian/python3-yaql/usr/bin/yaql $(CURDIR)/debian/python3-yaql/usr/bin/python3-yaql
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/yaql/tags .*/(\d[\d\.]+)\.tar\.gz

## python-yaql 1.1.1

=== debian/changelog ===
python-yaql (1.1.1-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 23:49:42 +0000

python-yaql (1.1.1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:30 +0200

python-yaql (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one
  * Enabled autopkgtest-pkg-python testsuite
  * Bump required openstack-pkg-tools version to 52
  * d/rules: Cleanup and use pkgos-dh_* tools
  * d/watch: Changed URL to new one

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Aug 2016 23:33:54 +0200

python-yaql (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:35:04 +0000

python-yaql (1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream and update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 01:40:02 +0800

python-yaql (1.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed doc patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 10:45:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-yaql
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.6),
                python-setuptools,
@@ -34,10 +33,11 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-yaql.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-yaql.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-yaql?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-yaql -b debian/newton
 Homepage: https://github.com/stackforge/yaql
+Testsuite: autopkgtest-pkg-python
 
 Package: python-yaql
 Architecture: all

## python-yaql 1.1.3

=== requirements.txt ===
pbr>=1.8
Babel>=1.3
python-dateutil>=2.4.2
ply
six>=1.9.0

=== debian/changelog ===
python-yaql (1.1.3-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 13:01:05 -0500

=== debian/control ===
Source: python-yaql
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx (>= 1.1.2),
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.1.2),
Build-Depends-Indep:
 python-babel (>= 1.3),
 python-coverage (>= 3.6),
 python-dateutil (>= 2.4.2),
 python-fixtures (>= 1.3.1),
 python-hacking (>= 0.12.0),
 python-oslosphinx (>= 2.5.0),
 python-ply,
 python-six (>= 1.9.0),
 python-subunit (>= 0.0.18),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 1.4.0),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-dateutil (>= 2.4.2),
 python3-fixtures (>= 1.3.1),
 python3-hacking (>= 0.12.0),
 python3-oslosphinx (>= 2.5.0),
 python3-ply,
 python3-six (>= 1.9.0),
 python3-subunit (>= 0.0.18),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-yaql
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-yaql
Homepage: https://github.com/stackforge/yaql
Testsuite: autopkgtest-pkg-python

Package: python-yaql
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-dateutil (>= 2.4.2),
 python-pbr (>= 1.8),
 python-ply,
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: Yet Another Query Language - Python 2.7
 YAQL is a general purpose query language, that is designed to operate on
 objects of arbitrary complexity. YAQL has a large standard library of
 functions for filtering, grouping and aggregation of data. At the same time
 YAQL allows you to extend it by defining your own functions.
 .
 This package contains the Python 2.7 module.

Package: python3-yaql
Architecture: all
Depends:
 python3-babel (>= 1.3),
 python3-dateutil (>= 2.4.2),
 python3-pbr (>= 1.8),
 python3-ply,
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Yet Another Query Language - Python 3.x
 YAQL is a general purpose query language, that is designed to operate on
 objects of arbitrary complexity. YAQL has a large standard library of
 functions for filtering, grouping and aggregation of data. At the same time
 YAQL allows you to extend it by defining your own functions.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/yaql.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/yaql/tags .*/(\d[\d\.]+)\.tar\.gz

## python-yaql 2.0.0

=== doc/requirements.txt ===
# doc build requirements
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-yaql (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:40:10 +0200

python-yaql (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fixed Homepage URL.
  * New upstream release.
  * Removed python3-six and python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 11:58:37 +0200

python-yaql (1.1.3-5) unstable; urgency=medium

  * Add missing debian/python3-yaql.install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:02:33 +0200

python-yaql (1.1.3-4) unstable; urgency=medium

  * Do not manage alternatives in postinst.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 13:49:31 +0200

python-yaql (1.1.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 16:00:53 +0200

python-yaql (1.1.3-2) unstable; urgency=medium

  * Uploading to unstable. (Closes: #891043)

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:49:03 +0000

python-yaql (1.1.3-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 15:14:34 +0000

=== debian/control ===
Source: python-yaql
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-dateutil,
 python3-fixtures,
 python3-hacking,
 python3-oslosphinx,
 python3-ply,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-yaql
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-yaql.git
Homepage: https://opendev.org/openstack/yaql
Testsuite: autopkgtest-pkg-python

Package: python3-yaql
Architecture: all
Depends:
 python3-dateutil,
 python3-pbr,
 python3-ply,
 ${misc:Depends},
 ${python3:Depends},
Description: Yet Another Query Language - Python 3.x
 YAQL is a general purpose query language, that is designed to operate on
 objects of arbitrary complexity. YAQL has a large standard library of
 functions for filtering, grouping and aggregation of data. At the same time
 YAQL allows you to extend it by defining your own functions.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/yaql.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-yaql 3.0.0

=== debian/changelog ===
python-yaql (3.0.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Thu, 28 Aug 2025 11:16:07 +0000

python-yaql (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-stestr as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jul 2025 14:35:32 +0200

python-yaql (2.0.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090684).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 15:01:04 +0100

python-yaql (2.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046791).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:35:45 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-hacking,
  python3-oslosphinx,
  python3-ply,
+ python3-stestr,
  python3-testscenarios,
  python3-testtools,
  subunit,

## python-yaql 3.1.0

=== requirements.txt ===
pbr>=1.8
python-dateutil>=2.4.2
ply

=== doc/requirements.txt ===
# doc build requirements
sphinx>=2.0.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-yaql (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046791).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 12:55:41 +0100

python-yaql (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:30:10 +0200

python-yaql (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 13:13:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .testrepository
+	rm -rf build .stestr .testrepository *.egg-info .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	cp debian/parser.out yaql/language
 
 override_dh_auto_build:
 	echo "Do nothing..."
